.imp_hl1 {
  font-weight: bold;
  font-size: 1.2em;
  margin-top: 20px;
}

.boxshadow_u {
  box-shadow: 0px 20px 10px 0px rgba(0, 0, 0, 0.7);
}

.boxshadow_o {
  box-shadow: 0px -10px 20px 0px rgba(0, 0, 0, 0.9);
  -webkit-box-shadow: 0px -10px 20px 0px rgba(0, 0, 0, 0.9);
  -moz-box-shadow: 0px -10px 20px 0px rgba(0, 0, 0, 0.9);
}

.boxshadow_r {
  -webkit-box-shadow: 5px 0px 20px 0px rgba(0, 0, 0, 0.9);
  box-shadow: 5px 0px 20px 0px rgba(0, 0, 0, 0.9);
}

.scrollable {
  overflow: auto;
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE/Edge Legacy */
}

/* .scrollable::-webkit-scrollbar {
  display: none;
  Chrome/Safari/Edge
} */

.login_valid {
  border: 2px solid green;
}

.login_invalid {
  border: 2px solid red;
}

.hover_underline {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

/* Linie */
.hover_underline::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;
  /* Wichtig: außerhalb der Textbox! */
  width: 0;
  height: 2px;
  background: var(--logo-color);
  transition: width 0.5s ease;
}

.hover_underline:hover::before {
  width: 100%;
}

#login_form form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#login_form input {
  padding: 8px;
  font-size: 1rem;
  margin-top: 10px;
  margin-left: auto;
  margin-right: auto;
}

.button-link {
  background: #f5f5f5;
  border-radius: 6px;
  cursor: pointer;
  transition: all 0.15s ease-in-out;
  margin: 0 10px;
  padding-block: 1px;
  padding-inline: 6px;
  border-width: 2px;
  border-style: outset;
  border-color: buttonborder;
  border-image: initial;
}

.button-link:hover {
  box-shadow: inset 1px 1px 10px 0 rgba(0, 0, 0, 0.5);
  color: #000;
}

.background {
  background-color: #151515;
  padding: 10px;
  border-radius: 10px;
}